package xaero.rotatenjump.gui.elements;

/**
 * Created by xaero on 12/07/2017.
 */

public class Button {

    protected float x;
    protected float y;
    protected int w;
    protected int h;
    protected boolean isDown = false;

    Button(float x, float y, int width, int height){
        this.x = x;
        this.y = y;
        this.w = width;
        this.h = height;
    }

    public void render(float offX, float offY){
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }

    public int getW() {
        return w;
    }

    public int getH() {
        return h;
    }

    public void onTouch(){
        isDown = true;
    }

    public void onRelease(boolean activate){
        isDown = false;
    }
}
